# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
entries:
  solr:
  - annotations:
      artifacthub.io/alternativeName: solrcloud
      artifacthub.io/category: database
      artifacthub.io/changes: |
        - kind: added
          description: Addition 1
          links:
            - name: Github Issue
              url: https://github.com/issue-url
        - kind: changed
          description: Change 2
          links:
            - name: Github PR
              url: https://github.com/pr-url
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/images: |
        - name: solr
          image: solr:8.11
          whitelisted: true
      artifacthub.io/links: |
        - name: "Solr Source"
          url: https://github.com/apache/solr
        - name: "Helm Chart Source"
          url: https://github.com/apache/solr-operator
        - name: "Solr Documentation"
          url: https://solr.apache.org/guide/
        - name: "Solr on Kube Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "false"
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr-operator
      artifacthub.io/signKey: |
        fingerprint: E05FDF113D89E7FB4A2DF4B2684D544160392455
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: 8.11.1
    created: "2025-01-17T11:22:02.138006-05:00"
    description: A SolrCloud cluster running on Kubernetes via the Solr Operator
    digest: 2398a57d6b2eb5aa685083ca56f1fa503a639a946bf54cf8f5f26ce11314a23a
    home: https://solr.apache.org
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    kubeVersion: '>= 1.22.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr
    sources:
    - https://github.com/apache/solr
    - https://github.com/apache/solr-operator
    urls:
    - solr-0.9.0.tgz
    version: 0.9.0
  solr-operator:
  - annotations:
      artifacthub.io/category: database
      artifacthub.io/changes: |
        - kind: fixed
          description: gen-pkcs12-keystore initContainer now supports 'ca.crt'-less TLS secrets
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/684
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/685
        - kind: added
          description: SolrClouds now support namespace sharing among pod containers in a pod.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/716
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/735
        - kind: changed
          description: SolrClouds now support auto-readOnlyRootFilesystem setting.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/624
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/648
        - kind: fixed
          description: setup-zk initContainer now gracefully handles absent security.json on initial upload.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/720
            - name: Additional Github Issue
              url: https://github.com/apache/solr-operator/issues/731
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/738
        - kind: added
          description: "'imagePullSecret' now used when fetching operator image, if provided."
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/718
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/734
        - kind: added
          description: "SolrCloud now accepts container-level securityContext settings for Solr container."
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/489
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/743
        - kind: fixed
          description: The operator will now delete ingress and per-node services when external ingress is disabled.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/673
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/674
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/crds: |
        - kind: SolrCloud
          version: v1beta1
          name: solrcloud.solr.apache.org
          displayName: Solr Cloud
          description: A distributed Solr Cloud cluster
        - kind: SolrPrometheusExporter
          version: v1beta1
          name: solrprometheusexporter.solr.apache.org
          displayName: Solr Prometheus Exporter
          description: A Prometheus metrics exporter for Solr
        - kind: SolrBackup
          version: v1beta1
          name: solrbackup.solr.apache.org
          displayName: Solr Backup
          description: A backup mechanism for Solr
      artifacthub.io/crdsExamples: |
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrCloud
          metadata:
            name: example
          spec:
            dataStorage:
              persistent:
                reclaimPolicy: Delete
                pvcTemplate:
                  spec:
                    resources:
                      requests:
                        storage: "20Gi"
            replicas: 3
            solrImage:
              tag: 8.11
            solrJavaMem: "-Xms4g -Xmx4g"
            customSolrKubeOptions:
              podOptions:
                resources:
                  requests:
                    memory: "6G"
            zookeeperRef:
              provided:
                replicas: 3
            solrOpts: "-Dsolr.autoSoftCommit.maxTime=10000"
            solrGCTune: "-XX:SurvivorRatio=4 -XX:TargetSurvivorRatio=90 -XX:MaxTenuringThreshold=8"
            backupRepositories:
              - name: default-gcs
                gcs:
                  bucket: solr-gcs-backups
                  gcsCredentialSecret: # Required unless deployed in GKE and using its "Workplace Identity" feature
                    name: gcs-credentials
                    key: "service-account-key.json"
                  baseLocation: "/solrcloud/backups"
              - name: default-s3
                s3:
                  region: us-west-2
                  bucket: solr-s3-backups
                  credentials:
                    accessKeyIdSecret: # Optional
                      name: aws-secrets
                      key: access-key-id
                    secretAccessKeySecret: # Optional
                      name: aws-secrets
                      key: secret-access-key
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrPrometheusExporter
          metadata:
            name: example
          spec:
            solrReference:
              cloud:
                name: "example"
            numThreads: 4
            image:
              tag: 8.11
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrBackup
          metadata:
            name: example
          spec:
            repositoryName: solr-gcs-backups
            solrCloud: example
            collections:
              - techproducts
              - books
            location: "/this/location"
      artifacthub.io/images: |
        - name: solr-operator
          image: apache/solr-operator:v0.9.0
      artifacthub.io/links: |
        - name: "Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "true"
      artifacthub.io/operatorCapabilities: Full Lifecycle
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr
      artifacthub.io/signKey: |
        fingerprint: E05FDF113D89E7FB4A2DF4B2684D544160392455
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: v0.9.0
    created: "2025-01-17T11:22:02.149685-05:00"
    dependencies:
    - condition: zookeeper-operator.install
      name: zookeeper-operator
      repository: https://charts.pravega.io
      version: 0.2.15
    description: The Solr Operator enables easy management of Solr resources within
      Kubernetes.
    digest: 0bac580410b8509115460dd0c53c325155bba94af3558b3cc0e0607ea7707b3e
    home: https://solr.apache.org/operator
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    - operator
    kubeVersion: '>= 1.22.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr-operator
    sources:
    - https://github.com/apache/solr-operator
    urls:
    - solr-operator-0.9.0.tgz
    version: 0.9.0
generated: "2025-01-17T11:22:02.136153-05:00"
